Bug 476731 - RFE: cross-check /etc/hosts with DNS
RFE: cross-check /etc/hosts with DNS
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.2
All Linux
low Severity medium
: v2 release
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2008-12-16 15:04 EST by Rob Crittenden
Modified: 2015-01-04 18:35 EST (History)
3 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2008-12-16 15:04:43 EST
Description of problem:

A user was having a problem installing the server:

The following operations may take some minutes to complete.
Please wait until the prompt is returned.                  
Configuring ntpd                                           
  [1/4]: stopping ntpd                                     
  [2/4]: writing configuration                             
  [3/4]: configuring ntpd to start on boot                 
  [4/4]: starting ntpd                                     
done configuring ntpd.                                     
Configuring directory server:                              
  [1/17]: creating directory server user
  [2/17]: creating directory server instance
  [3/17]: adding default schema
  [4/17]: enabling memberof plugin
  [5/17]: enabling referential integrity plugin
  [6/17]: enabling distributed numeric assignment plugin
  [7/17]: enabling winsync plugin
  [8/17]: configuring uniqueness plugin
  [9/17]: creating indices
  [10/17]: configuring ssl for ds instance
  [11/17]: configuring certmap.conf
  [12/17]: restarting directory server
  [13/17]: adding default layout
  [14/17]: configuring Posix uid/gid generation as first master
  [15/17]: adding master entry as first master
  [16/17]: initializing group membership
  [17/17]: configuring directory to start on boot
done configuring dirsrv.
Configuring Kerberos KDC
  [1/13]: setting KDC account password
  [2/13]: adding sasl mappings to the directory
root        : CRITICAL failed to add Full Principal Sasl mapping

The root of the problem turned out to be a bad entry in /etc/hosts

It would be helpful for debugging if we could do a consistency check of /etc/hosts with DNS, or include in error output what host we are trying to connect to. Something to provide a clue where the problem lies.

Version-Release number of selected component (if applicable):

ipa-server-1.2.1-0.fc10.x86_64
Comment 2 Rob Crittenden 2010-09-14 12:46:03 EDT
https://fedorahosted.org/freeipa/ticket/224
Comment 3 Rob Crittenden 2010-10-22 10:09:07 EDT
Done in v2 in ticket 327.

master: 78f276657ee8abb1a1b9e84337c6fb7050710d15

Note You need to log in before you can comment on or make changes to this bug.